Update user preferences
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");curl_easy_setopt(hnd, CURLOPT_URL, "https://api.ltesocks.io/v2/user/preferences");
struct curl_slist *headers = NULL;headers = curl_slist_append(headers, "Authorization: Bearer <token>");headers = curl_slist_append(headers, "Content-Type: application/json");curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{ \"vpnServer\": \"vpn1.ltesocks.io\", \"proxyServer\": \"ap1.ltesocks.io\", \"proxyProtocol\": \"http\" }");
CURLcode ret = curl_easy_perform(hnd);using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.ltesocks.io/v2/user/preferences"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"vpnServer\": \"vpn1.ltesocks.io\", \"proxyServer\": \"ap1.ltesocks.io\", \"proxyProtocol\": \"http\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.ltesocks.io/v2/user/preferences"
payload := strings.NewReader("{ \"vpnServer\": \"vpn1.ltesocks.io\", \"proxyServer\": \"ap1.ltesocks.io\", \"proxyProtocol\": \"http\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.ltesocks.io/v2/user/preferences")) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{ \"vpnServer\": \"vpn1.ltesocks.io\", \"proxyServer\": \"ap1.ltesocks.io\", \"proxyProtocol\": \"http\" }")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"vpnServer\": \"vpn1.ltesocks.io\", \"proxyServer\": \"ap1.ltesocks.io\", \"proxyProtocol\": \"http\" }");Request request = new Request.Builder() .url("https://api.ltesocks.io/v2/user/preferences") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.ltesocks.io/v2/user/preferences', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: { vpnServer: 'vpn1.ltesocks.io', proxyServer: 'ap1.ltesocks.io', proxyProtocol: 'http' }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ltesocks.io/v2/user/preferences';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"vpnServer":"vpn1.ltesocks.io","proxyServer":"ap1.ltesocks.io","proxyProtocol":"http"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "{ \"vpnServer\": \"vpn1.ltesocks.io\", \"proxyServer\": \"ap1.ltesocks.io\", \"proxyProtocol\": \"http\" }")val request = Request.Builder() .url("https://api.ltesocks.io/v2/user/preferences") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ltesocks.io/v2/user/preferences";
let payload = json!({ "vpnServer": "vpn1.ltesocks.io", "proxyServer": "ap1.ltesocks.io", "proxyProtocol": "http" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.ltesocks.io/v2/user/preferences \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "vpnServer": "vpn1.ltesocks.io", "proxyServer": "ap1.ltesocks.io", "proxyProtocol": "http" }'wget --quiet \ --method POST \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --body-data '{ "vpnServer": "vpn1.ltesocks.io", "proxyServer": "ap1.ltesocks.io", "proxyProtocol": "http" }' \ --output-document \ - https://api.ltesocks.io/v2/user/preferencesUpdates supported preferences for the current account and returns the updated user object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Optional UUID that identifies one mutation request. Reuse it only when retrying the same request.
Request Bodyrequired
Section titled “Request Bodyrequired”User preferences object
object
Default server hostname to connect via OpenVPN
Example
vpn1.ltesocks.ioDefault server hostname to connect via proxy
Example
ap1.ltesocks.ioDefault proxy protocol
Example
socks5Responses
Section titled “Responses”Successful operation
object
User login
User email address
User balance in cents (100$ = 10000)
Total ports number
Maximum allowed ports number
User discount in percentage
object
Default server hostname to connect via OpenVPN
Default server hostname to connect via proxy
Default proxy protocol
Example
{ "login": "user", "email": "user@example.com", "balance": 10000, "portsCount": 3, "portsLimit": 10, "discountPercent": 10, "preferences": { "vpnServer": "vpn1.ltesocks.io", "proxyServer": "ap1.ltesocks.io", "proxyProtocol": "http" }}The bearer token is missing, invalid, or no longer active.
object
Error text representation
Example
{ "error": "example error"}The configured request limit has been exceeded.
object
Error text representation
Example
{ "error": "example error"}Error
object
Error text representation
Example
{ "error": "example error"}